import { defineComponent, mergeProps, unref, withCtx, createTextVNode, toDisplayString, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrInterpolate, ssrRenderComponent } from "vue/server-renderer";
import { _ as _sfc_main$1 } from "./MainLayout-CahYFWjG.js";
import { Link } from "@inertiajs/vue3";
/* empty css                       */
/* empty css                              */
/* empty css                           */
/* empty css             */
import "simplebar";
import "resize-observer-polyfill";
import "./useToastify-D_n0s7Uc.js";
import "toastify-js";
import "./AdminNavigation-BYBoZNuA.js";
import "./useHexToRgb-G7J9N7Ap.js";
import "./useRandomStr-4MeWbtRd.js";
import "jquery";
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    layout: _sfc_main$1
  },
  __name: "PaymentSuccessful",
  __ssrInlineRender: true,
  props: {
    order: {},
    prefactor: {}
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "container" }, _attrs))}><div class="card shadow-1 mb-3"><div class="card-body pt-5 pb-5"><div class="row"><div class="col-12 d-flex align-items-center justify-content-center mb-4 mt-4"><div class="bg-success semi-transparent-circle d-flex align-items-center justify-content-center br-circle"><i class="ri-check-double-line fs-1"></i></div></div><div class="col-12 d-flex align-items-center justify-content-center mb-4"><div class="lts-05 order-successful-message text-success fw-bold text-center">${ssrInterpolate(_ctx.$t("messages.sentence.order_paid_and_in_proccess_queue"))}</div></div><div class="col-12 d-flex align-items-center justify-content-center flex-column mb-5"><span class="mb-2"><span class="text-gray me-1">${ssrInterpolate(_ctx.$t("messages.word.date"))}:</span><span class="fw-bold text-dark">${ssrInterpolate(_ctx.order.jalali_created_at[1])}</span></span><span class="mb-2"><span class="text-gray me-1">${ssrInterpolate(_ctx.$t("messages.sentence.order_uuid"))}:</span><span class="fw-bold text-dark">${ssrInterpolate(_ctx.order.uuid)}</span></span>`);
      if (_ctx.prefactor != null) {
        _push(`<span><span class="text-gray me-1">${ssrInterpolate(_ctx.$t("messages.sentence.factor_id"))}:</span><span class="fw-bold text-dark">${ssrInterpolate(_ctx.prefactor)}</span></span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="col-12 d-flex align-items-center justify-content-center mb-4">`);
      _push(ssrRenderComponent(unref(Link), {
        href: _ctx.route("user.orders.index", { search: _ctx.order.uuid }),
        class: "link me-4"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`${ssrInterpolate(_ctx.$t("messages.sentence.order_details"))}`);
          } else {
            return [
              createTextVNode(toDisplayString(_ctx.$t("messages.sentence.order_details")), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(unref(Link), {
        href: _ctx.route("main.products.index"),
        class: "link"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`${ssrInterpolate(_ctx.$t("messages.sentence.product_archive"))}`);
          } else {
            return [
              createTextVNode(toDisplayString(_ctx.$t("messages.sentence.product_archive")), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Main/Cart/PaymentSuccessful.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
